<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Coupon;
use Illuminate\Http\Request;

class CouponsController extends Controller
{
    public function index()
    {
        $rows = Coupon::all();
        return view('admin.coupons.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.coupons.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'code' => 'required',
            'discount_percent' => 'required',
            'status' => 'required',
            'start_date' => 'required',
            'end_date' => 'required',
        ]);
        Coupon::create($request->all());
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('coupons.index');

    }

    public function edit($id)
    {
        $row = Coupon::find($id);
        return view('admin.coupons.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'code' => 'required',
            'discount_percent' => 'required',
            'status' => 'required',
            'start_date' => 'required',
            'end_date' => 'required',
        ]);
        Coupon::where('id', $id)->update($request->except(['_method', '_token']));
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('coupons.index');
    }

    public function destroy($id)
    {
        Coupon::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('coupons.index');
    }
}
