<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function index()
    {
        $row = Setting::first();
        return view('admin.settings.index', compact('row'));
    }

    public function rules()
    {
        return [
            'mobile' => 'required',
            'email' => 'required|email',
            'tax' => 'numeric|required',
            'delivery_cost' => 'numeric|required',
            'receive_cost' => 'numeric|required'
        ];
    }

    public function update(Request $request, $id)
    {

        $this->validate($request, $this->rules());


        $setting = Setting::find($id);
        $setting['mobile'] = $request['mobile'];
        $setting['email'] = $request['email'];
        $setting['tax'] = $request['tax'];
        $setting['delivery_cost'] = $request['delivery_cost'];
        $setting['receive_cost'] = $request['receive_cost'];
        $setting['snapchat'] = $request['snapchat'];
        $setting['telegram'] = $request['telegram'];
        $setting['whatsapp'] = $request['whatsapp'];
        $setting['instagram'] = $request['instagram'];
        $setting['twitter'] = $request['twitter'];
        $setting['about->ar'] = $request['about_ar'];
        $setting['about->en'] = $request['about_en'];
        $setting['policy->ar'] = $request['policy_ar'];
        $setting['policy->en'] = $request['policy_en'];


        $setting->update();
        toast('تمت تعديل الإعدادات بنجاح', 'success', 'left');
        return redirect()->back();
    }
}
