<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\SpecialUser;
use Illuminate\Http\Request;

class SpecialUsersController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $rows = SpecialUser::latest()->get();
        return view('admin.special_users.index', compact('rows'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.special_users.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required|email',
            'mobile' => 'required',
            'days' => 'required',
            'clothes_count' => 'required'

        ]);
        $user = new SpecialUser();
        $user->name = $request['name'];
        $user->email = $request['email'];
        $user->mobile = $request['mobile'];
        $user->clothes_count = $request['clothes_count'];
        $user->days = $request['days'];
        $user->save();

        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('special_users.index');
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $row = SpecialUser::find($id);
        return view('admin.special_users.edit', compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required|email',
            'mobile' => 'required',
            'days' => 'required',
            'clothes_count' => 'required'

        ]);
        $user = new SpecialUser();
        $user->name = $request['name'];
        $user->email = $request['email'];
        $user->mobile = $request['mobile'];
        $user->clothes_count = $request['clothes_count'];
        $user->days = $request['days'];
        $user->update();

        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('special_users.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $user = SpecialUser::find($id);
        $user->delete();
        toast('تمت العملية بنجاح', 'success', 'left');
        return back();
    }
}
