<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\PaymentMethodsResource;
use App\Http\Resources\TimeResource;
use App\Models\PaymentMethod;
use App\Models\ReceiveTime;
use App\Models\Setting;
use Carbon\Carbon;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function settings()
    {
        $lang = \request()->header('Accept-Language', 'ar');
        $row = Setting::first();
        $data['about'] = $row ? $row->about[$lang] : '';
        $data['policy'] = $row ? $row->policy[$lang] : '';
        $data['email'] = $row ? $row->email : '';
        $data['mobile'] = $row ? $row->mobile : '';
        $data['twitter'] = $row ? $row->twitter : '';
        $data['snapchat'] = $row ? $row->snapchat : '';
        $data['telegram'] = $row ? $row->telegram : '';
        $data['instagram'] = $row ? $row->instagram : '';
        $data['whatsapp'] = $row ? $row->whatsapp : '';
        $data['tax'] = $row ? $row->tax : '';
        $data['delivery_cost'] = $row ? $row->delivery_cost : '';
        $data['receive_cost'] = $row ? $row->receive_cost : '';
        return response()->json(['value' => true, 'data' => $data]);
    }

    public function payment_methods()
    {
        $rows = PaymentMethod::whereStatus('active')->get();
        return PaymentMethodsResource::collection($rows)->additional(['value' => true]);
    }

    public function calender_days()
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $data = [];
        for ($i = 0; $i <= 30; $i++) {
            $arr['date'] = Carbon::now()->addDays($i)->toDateString();
            $arr['day'] = Carbon::now()->addDays($i)->format('d');
            $arr['day_name'] = Carbon::now()->addDays($i)->locale($lang)->dayName;

            $data[] = $arr;
        }

        return response()->json(['value' => true, 'data' => $data]);


    }

    public function delivery_times()
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $rows = ReceiveTime::all();
        return TimeResource::collection($rows)->additional(['value' => true]);

    }
}
