<?php

namespace App\Http\Resources;

use App\Models\Cart;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class ProductsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language','ar');
        if ($request->header('Authorization')){
            if (!$user = JWTAuth::parseToken()->authenticate()) {
                return response()->json(['value' => false, 'msg' => \Lang::get('wrong token'), 'code' => 401]);
            }

            $product_in_cart = Cart::where('product_id',$this->id)->where('user_id',$user->id)->where('status','cart')->sum('count');

        }else{
            $product_in_cart = 0;
        }
          return [
            'id'=>$this->id,
            'name'=>$this->name[$lang],
            'image'=>$this->image,
            'product_in_cart'=>$product_in_cart,
            'services'=>ServicesResource::collection($this->services)
        ];
    }
}
