<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Cart extends Model
{

    protected $table = 'carts';
    public $timestamps = true;
    protected $fillable = array('user_id', 'product_id', 'service_id', 'count', 'price', 'status');

    public function cart_services()
    {
        $lang = \App::getLocale();
        $data = [] ;
        foreach ($this->services as $service) {
            $arr['id'] =  $service->id;
            $arr['name'] = $service->name[$lang];
            $arr['description'] = $service->description[$lang];
            $arr['price'] = ProductService::where(['product_id'=>$this->product_id,'service_id'=>$service->id])->value('price');
            $data[]=$arr;
        }
        return $data ;
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function product()
    {
        return $this->belongsTo(Product::class, 'product_id');
    }

    public function services()
    {
        return $this->belongsToMany(Service::class, 'cart_services', 'cart_id', 'service_id');
    }


}
