<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PaymentMethod extends Model
{

    protected $table = 'payment_methods';
    public $timestamps = true;
    protected $fillable = array('name', 'type', 'image', 'status');
    protected $casts = ['name' => 'json'];


    public function getImageAttribute()
    {

        if (isset($this->attributes['image'])) {
            return asset('images/payment_methods/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/payment_methods/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
}
