<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{

    protected $table = 'products';
    public $timestamps = true;
    protected $fillable = array('name', 'image', 'status', 'category_id');
    protected $casts = ['name' => 'json'];

    public function services()
    {
        return $this->belongsToMany(Service::class, 'product_services', 'product_id', 'service_id')->withPivot('price');
    }

    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id');
    }

    public function getImageAttribute()
    {

        if (isset($this->attributes['image'])) {
            return asset('images/products/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/products/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
}
