<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration
{

    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->integer('user_id')->unsigned();
            $table->string('code', 191)->nullable();
            $table->string('total_price', 191)->nullable();
            $table->string('receive_date', 191)->nullable();
            $table->enum('status', array('in_complete', 'waiting', 'accepted', 'driver_accept', 'driver_in_way', 'driver_take_clothes', 'washing', 'clothes_back', 'finish', 'cancel', 'clothes_finish_wash'))->nullable();
            $table->string('receive_time', 191)->nullable();
            $table->string('delivery_date', 191)->nullable();
            $table->string('delivery_time', 191)->nullable();
            $table->integer('address_id')->unsigned()->nullable();
            $table->text('notes')->nullable();
            $table->integer('payment_id')->unsigned()->nullable();
            $table->integer('mandob_id')->unsigned()->nullable();
        });
    }

    public function down()
    {
        Schema::drop('orders');
    }
}
