@extends('admin.layout.master')
@section('title', 'إضافه المنتجات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">إضافه المنتجات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل الطلب</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('add_orders.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')


                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">اسم المستخدم</label>
                                    <input type="text" class="form-control" required value="{{$row->client_name}}"
                                           name="client_name"
                                           id="exampleInputEmail1"
                                           placeholder="اسم المستخدم">
                                    @if ($errors->has('client_name'))
                                        <small class="text-danger">{{ $errors->first('client_name') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">رقم جوال المستخدم</label>
                                    <input type="text" class="form-control" required value="{{$row->client_mobile}}"
                                           name="client_mobile"
                                           id="exampleInputEmail1"
                                           placeholder="رقم جوال المستخدم">
                                    @if ($errors->has('client_mobile'))
                                        <small class="text-danger">{{ $errors->first('client_mobile') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">العنوان</label>
                                    <input type="text" class="form-control" required value="{{$row->address}}"
                                           name="address"
                                           id="exampleInputEmail1"
                                           placeholder="العنوان">
                                    @if ($errors->has('address'))
                                        <small class="text-danger">{{ $errors->first('address') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ الاستلام</label>
                                    <input type="date" class="form-control" required value="{{$row->receive_date}}"
                                           name="receive_date"
                                           id="exampleInputEmail1"
                                           placeholder="تاريخ الاستلام">
                                    @if ($errors->has('receive_date'))
                                        <small class="text-danger">{{ $errors->first('receive_date') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleSelect1">معاد الاستلام</label>
                                    <select name="receive_time" class="form-control" id="exampleSelect1">
                                        @foreach($receive_times as $receive_time)
                                            <option
                                                {{$receive_time->id == $row->receive_time ? 'selected' : ''}} value="{{$receive_time->id}}">{{$receive_time->text}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ التسليم</label>
                                    <input type="date" class="form-control" required value="{{$row->delivery_date}}"
                                           name="delivery_date"
                                           id="exampleInputEmail1"
                                           placeholder="تاريخ التسليم">
                                    @if ($errors->has('delivery_date'))
                                        <small class="text-danger">{{ $errors->first('delivery_date') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleSelect1">معاد التسليم</label>
                                    <select name="delivery_time" class="form-control" id="exampleSelect1">
                                        @foreach($receive_times as $receive_time)
                                            <option
                                                {{$row->delivery_time == $receive_time->id ? "selected" : ""}} value="{{$receive_time->id}}">{{$receive_time->text}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">ملاحظات</label>
                                    <textarea class="form-control"
                                              name="note">{{$row->notes}}</textarea>
                                    @if ($errors->has('note'))
                                        <small class="text-danger">{{ $errors->first('note') }}</small>
                                    @endif
                                </div>
{{--                                <div class="form-group col-md-6">--}}
{{--                                    <label for="exampleInputEmail1">إختيار توصيل الطلب عن طريق المندوب</label>--}}
{{--                                    <br>--}}
{{--                                    <input type="checkbox" id="delivery"--}}
{{--                                           {{$row->delivery_status == 'true' ? 'checked' : ''}} name="delivery"--}}
{{--                                           value="delivery">--}}
{{--                                    <label for="delivery">توصيل</label>--}}
{{--                                    @if ($errors->has('delivery'))--}}
{{--                                        <small class="text-danger">{{ $errors->first('delivery') }}</small>--}}
{{--                                    @endif--}}
{{--                                </div>--}}

{{--                                @if($row->delivery_status == 'true')--}}
{{--                                    <div class="form-group col-md-6">--}}
{{--                                        <label for="exampleInputEmail1">اختر المندوب</label>--}}

{{--                                        <select name="mandob_id" class="form-control">--}}

{{--                                            <option disabled selected>إختر المندوب</option>--}}
{{--                                            @foreach($drivers as $driver)--}}
{{--                                                <option--}}
{{--                                                    {{$row->mandob_id == $driver->id ? 'selected' : ''}} value="{{$driver->id}}">{{$driver->name}}</option>--}}
{{--                                            @endforeach--}}
{{--                                        </select>--}}
{{--                                    </div>--}}
{{--                                @endif--}}

                                <div class="form-group col-md-6">
                                    <label for="exampleSelect1">الحالة</label>
                                    <select name="status" class="form-control" id="exampleSelect1">
                                        @foreach($status as $key=>$value)
                                            <option value="{{$key}}">{{$value}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>




                            <table class="table table-bordered dt-responsive nowrap"
                                   style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                <tr style="font-size: large ; font-family: cairo">
                                    <th>إجمالي المنتجات</th>
                                    <th>الإجمالي شامل الضريبة</th>


                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td>{{$row->total_price}}</td>
                                    <td>{{$row->all_total_price}}</td>
                                </tr>

                                </tbody>
                            </table>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">المدفوع</label>
                                    <input type="text" class="form-control"  value="{{$row->paid_amount}}"
                                           name="paid_amount"
                                           id="exampleInputEmail1"
                                           placeholder="المدفوق">
                                    @if ($errors->has('paid_amount'))
                                        <small class="text-danger">{{ $errors->first('paid_amount') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">المتبقي</label>
                                    <input type="text" class="form-control"  value="{{$row->rest_amount}}"
                                           name="rest_amount"
                                           id="exampleInputEmail1"
                                           placeholder="المتبقي">
                                    @if ($errors->has('rest_amount'))
                                        <small class="text-danger">{{ $errors->first('rest_amount') }}</small>
                                    @endif
                                </div>
                            </div>

                            <button type="submit" class="btn btn-primary">تأكيد الطلب</button>
                        </form>
                    </div><!-- end col -->

                </div><!-- end row -->
                <br>
                <br>

                <div class="card-box">


                    <div class="form-group">
                        <button type="button" class="btn btn-primary" data-toggle="modal"
                                data-target="#AddModal"><i class="fa fa-plus-circle"></i>إضافه منتجات
                        </button>

                    </div>


                    <table id="example" class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr style="font-size: large ; font-family: cairo">
                            <th>#</th>
                            <th>المنتج</th>
                            <th>الكمية</th>
                            <th>الخدمات المضافة</th>

                            <th>السعر الإجمالي</th>

                            <th>التحكم</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $i = 1;
                        ?>
                        @foreach($rows as $cart)
                            <tr>
                                <td>{{$i}}</td>
                                <td>{{$cart->product->name['ar']}}</td>
                                <td>
                                    {{$cart->count}}
                                </td>
                                <td>
                                    <ul style="list-style: none;">
                                        @foreach($cart->services as $service)
                                            <li>
                                                {{$service->name['ar']}}
                                                - {{\App\Models\ProductService::where(['service_id'=>$service->id,'product_id'=>$cart->product->id])->value('price')}}
                                                ريال
                                            </li>
                                        @endforeach
                                    </ul>
                                </td>
                                <td>
                                    {{$cart->price}} ريال

                                </td>

                                <td>
                                    <button type="button" class="btn btn-danger waves-effect waves-light"
                                            data-toggle="modal" data-target="#myModal{{$cart->id}}">حذف
                                    </button>

                                    <button type="button" class="btn btn-primary" data-toggle="modal"
                                            data-target="#editCart{{$cart->id}}">تعديل
                                    </button>
                                </td>
                            </tr>
                            <?php
                            $i++;
                            ?>
                            <div id="myModal{{$cart->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">حذف العنصر</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تريد الحذف ؟</h5>

                                        </div>
                                        <div class="modal-footer">


                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <a href="{{route('delete_cashier_cart',['cart_id'=>$cart->id,'order_id'=>$row->id])}}">
                                                <button type="button"
                                                        class="btn btn-danger waves-effect waves-light">حذف
                                                </button>
                                            </a>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div><!-- /.modal -->
                            <div class="modal fade" id="editCart{{$cart->id}}" tabindex="-1" role="dialog"
                                 aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel">المنتجات</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <form method="post"
                                              action="{{route('update_order_cart',['cart_id'=>$cart->id,'order_id'=>$row->id])}}">
                                            <div class="modal-body">

                                                {{csrf_field()}}
                                                <div class="form-group">
                                                    <label for="recipient-name"
                                                           class="col-form-label">القسم</label>
                                                    <select name="category_id" id="edit_category" required
                                                            class="form-control">
                                                        <option selected disabled>
                                                            إختر القسم
                                                        </option>
                                                        @foreach($categories as $category)

                                                            <option
                                                                {{$cart->product->category->id == $category->id ? "selected" : ''}} value="{{$category->id}}">{{$category->name['ar']}}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="message-text" class="col-form-label">اختر
                                                        المنتج</label>
                                                    <select required name="product_id" class="form-control"
                                                            id="edit_products">
                                                        <option disabled selected></option>
                                                        @foreach($products as $cart_product)

                                                            <option
                                                                value="{{$cart_product->id}}" {{ $cart_product->id == $cart->product->id ? "selected" : '' }}>{{$cart_product->name['ar']}}</option>
                                                        @endforeach
                                                    </select>


                                                </div>
                                                <div class="form-group">
                                                    <label for="message-text" class="col-form-label">اختر
                                                        الخدمات</label>
                                                    <select style="width: 100%" required name="services[]"
                                                            multiple
                                                            class="js-example-basic-multiple form-control"
                                                            id="edit_services">


                                                        @foreach($cart->services as $cart_service)

                                                            <option
                                                                {{$cart->services->contains($cart_service) ? 'selected' : ''}} value="{{$cart_service->id}}">{{$cart_service->name['ar']}}</option>
                                                        @endforeach


                                                    </select>

                                                </div>
                                                <div class="form-group">
                                                    <label for="message-text"
                                                           class="col-form-label">العدد</label>

                                                    <input type="number" required class="form-control"
                                                           value="{{$cart->count}}"
                                                           name="count">
                                                </div>

                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                        data-dismiss="modal">الغاء
                                                </button>
                                                <button type="submit" class="btn btn-primary">تعديل</button>
                                            </div>
                                        </form>

                                    </div>
                                </div>
                            </div>
                        @endforeach

                        </tbody>
                    </table>
                </div>
                <div class="modal fade" id="AddModal" tabindex="-1" role="dialog"
                     aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">المنتجات</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <form method="post" action="{{route('add_product_order',$row->id)}}">
                                <div class="modal-body">

                                    {{csrf_field()}}
                                    <div class="form-group">
                                        <label for="recipient-name" class="col-form-label">القسم</label>
                                        <select name="category_id" id="category" required class="form-control">
                                            <option selected disabled>
                                                إختر القسم
                                            </option>
                                            @foreach($categories as $category)

                                                <option value="{{$category->id}}">{{$category->name['ar']}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label for="message-text" class="col-form-label">اختر المنتج</label>
                                        <select required name="product_id" class="form-control" id="products">
                                            <option disabled selected>إختر المنتج</option>
                                        </select>

                                    </div>
                                    <div class="form-group">
                                        <label for="message-text" class="col-form-label">اختر الخدمات</label>
                                        <select style="width: 100%" required name="services[]" multiple
                                                class="js-example-basic-multiple form-control" id="services">
                                        </select>

                                    </div>
                                    <div class="form-group">
                                        <label for="message-text" class="col-form-label">العدد</label>

                                        <input type="number" class="form-control" required value="1" name="count">
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">الغاء
                                    </button>
                                    <button type="submit" class="btn btn-primary">إضافة</button>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div><!-- end col -->
    </div>

@stop
@section('scripts')
    <script>
        $("#category").on('change', function () {
            var category_id = $("#category").val();

            console.log(category_id);
            $.ajax({
                type: 'GET',
                url: '{{route('get_category_products')}}',
                data: {category_id: category_id},

                success: function (data) {
                    console.log(data.products_view);

                    $("#products").html('');
                    $("#services").html('');
                    $("#products").append(data.products_view);


                },

            });
        });
        $("#products").on('change', function () {
            var product_id = $("#products").val();


            $.ajax({
                type: 'GET',
                url: '{{route('get_product_services')}}',
                data: {product_id: product_id},

                success: function (data) {


                    $("#services").html('');
                    $("#services").append(data.services_view);


                },

            });
        });
        $("#edit_category").on('change', function () {
            var category_id = $("#edit_category").val();

            console.log(category_id);
            $.ajax({
                type: 'GET',
                url: '{{route('get_category_products')}}',
                data: {category_id: category_id},

                success: function (data) {
                    console.log(data.products_view);

                    $("#edit_products").html('');
                    $("#edit_services").html('');
                    $("#edit_products").append(data.products_view);


                },

            });
        });
        $("#edit_products").on('change', function () {
            var product_id = $("#edit_products").val();


            $.ajax({
                type: 'GET',
                url: '{{route('get_product_services')}}',
                data: {product_id: product_id},

                success: function (data) {


                    $("#edit_services").html('');
                    $("#edit_services").append(data.services_view);


                },

            });
        });
    </script>
@stop
