@extends('admin.layout.master')
@section('title', "تفاصيل الطلب")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تفاصيل الطلب</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">تفاصيل الطلب</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('companies.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: larger;font-family: cairo">

                        <th>الكود</th>
                        <th>اسم المستخدم</th>
                        <th>رقم جوال المستخدم</th>

                        <th>المندوب</th>
                        <th>طريقه الدفع</th>
                        <th>حالة الطلب</th>
                        <th>تاريخ الإستلام</th>
                        <th>وقت الإستلام</th>
                        <th>تاريخ التوصيل</th>
                        <th>وقت التوصيل</th>

                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->code}}</td>
                        <td>{{$row->user->name}}</td>
                        <td>{{$row->user->mobile}}</td>

                        <td>{{$row->mandob ? $row->mandob->name :"لم يخصص بعد"}}</td>

                        <td>
                            {{$row->payment->name['ar']}}

                        </td>
                        <td>
                            {{$status[$row->status]}}
                        </td>
                        <td>
                            {{$row->receive_date}}

                        </td>
                        <td>
                            {{$row->receive_time}}

                        </td>
                        <td>
                            {{$row->delivery_date}}

                        </td>
                        <td>
                            {{$row->delivery_time}}

                        </td>


                    </tr>

                    </tbody>
                </table>


            </div>
            <div class="card-box">
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>سعر الخدمات</th>
                        <th>السعر الإجمالي</th>
                        <th>المدفوع</th>
                        <th>المتبقي</th>
                        <th>الضريبة</th>
                        <th>قيمة التوصيل</th>
                        <th>قيمة الإستلام</th>

                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->total_price}} ريال</td>
                        <td>{{$row->all_total_price}} ريال</td>
                        <td>{{$row->paid_amount}} ريال</td>
                        <td>{{$row->rest_amount}} ريال</td>
                        <td>{{$row->tax}} ريال</td>
                        <td>{{$row->delivery_cost}} ريال</td>
                        <td>{{$row->receive_cost}} ريال</td>


                    </tr>

                    </tbody>
                </table>
            </div>
            <div class="card-box">
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>العنوان</th>
                        <th>ملاحظات</th>
                        @if($row->status == 'cancel')
                            <th>رساله الإلغاء</th>
                        @endif
                        <th>الكوبون</th>

                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->address->street }} - {{$row->address->area }}</td>
                        <td>{{$row->notes}}</td>
                        @if($row->status == 'cancel')

                            <td>{{$row->cancel_note}}</td>
                        @endif
                        <td>
                            @if($row->coupon_id)

                                {{$row->coupon->code}}

                            @else
                                لم يستخدم كود خصم

                            @endif
                        </td>


                    </tr>

                    </tbody>
                </table>
            </div>
            <div class="card-box">


                <h4 class="header-title">المنتجات</h4>



                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>المنتج</th>
                        <th>الخدمات</th>
                        <th>الإجمالي</th>

                    </tr>
                    </thead>
                    <tbody>
                    @foreach($carts as $cart)
                        <tr>
                            <td>{{$cart->product->name['ar']}}</td>
                            <td>
                                <ul style="list-style: none;">
                                    @foreach($cart->services as $service)
                                        <li>
                                            {{$service->name['ar']}} - {{\App\Models\ProductService::where(['service_id'=>$service->id,'product_id'=>$cart->product->id])->value('price')}} ريال
                                        </li>
                                    @endforeach
                                </ul>
                            </td>
                             <td>
                                {{$cart->price}} ريال

                            </td>

                        </tr>
                    @endforeach
                    </tbody>
                </table>
                <a class="btn-success btn" href="{{route('invoice_app',$row->id)}}}">الفاتورة</a>
            </div>
        </div>
    </div> <!-- end row -->



@stop
